Bug 171559 - Installer hangs while retrieving packages
Installer hangs while retrieving packages
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-23 02:44 EDT by Doug Brunelle
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 11:23:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doug Brunelle 2005-10-23 02:44:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
After fresh install of FC4, ran Up2Date to see if there were any updates available. Found a large list of available updates to download. Up2Date retrieves package headers OK. But, when downloading the packages, it hangs up at various points while retrieving packages. Re-started Up2date over six times. Up2date remembers which packages have already been downloaded, so I can click on the security warning message for each package, until Up2date reaches the package which caused it to hang up on the previous try. Then, the package is downloaded OK. A few package retrievals later, it hangs up again, and I again have to use the "force quit" option, which brings up the dialog box "The Window "Up2date - Package Retrieval" is not responding...etc.. I close Up2date, and start over. I am approximately half way through the total list of update packages, and I have restarted Up2date about 8 times now. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start Up2date
2. Begin retrieving packages
3. After about 3 or 4 new packages are downloaded, Up2date hangs
4. No further progress is noted in Up2date - need to force quit
5. Goto 1


  

Actual Results:  Up2date hangs up on package retrieval

Expected Results:  Up2date should retrieve all packages without having to start over

Additional info:

Also, if Up2date requires a restart because it previously hung up, it should not require the user to complete all steps, clicking through already-retrieved packages to get to the point where it hung up. Up2date should remember where it stopped, and start again from that point, retrieving the remaining packages in the list the user specified.
Comment 1 Doug Brunelle 2005-10-23 02:53:14 EDT
Have waited up to about 5 minutes when Up2date hangs, before forcing quit. 
Also, mouse pointer continues to behave normally when hangup occurs (hourglass
turns over). 
Comment 2 John Thacker 2006-10-29 15:23:21 EST
up2date was replaced by pirut and put (package pirut) as of FC5.  Only FC5 and
FC6 are currently fully supported; FC3 and FC4 are supported for security fixes
only.  If this bug occurs in FC3 or FC4 and is a security bug, please change the
product to Fedora Extras and the version to match.  If you can verify that the
bug exists in RHEL as well, please change the product and version appropriately.

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.
Comment 3 John Thacker 2006-11-05 11:23:22 EST
Closing per previous message.

Note You need to log in before you can comment on or make changes to this bug.